---
title: Patrik Pavlišin
published: true
taxonomy:
    category: [dp2022,bp2020,tp2021]
    tag: [translation,nlp]
    author: Daniel Hladek
---
# Patrik Pavlišin


## Tímový projekt 2021

Ciel: 
- vytvoriť článok s témou "Štatistický preklad".
- vytvoriť článok, publikovateľný na konferencii

Virtuálne stretnutie 2.10.2020

Prečítajte si a vypracujte poznámky:

- https://apps.dtic.mil/sti/pdfs/ADA466330.pdf
- https://arxiv.org/abs/1409.1259

Pozrite si aj niektoré články ktoré sú v bibliografii.

Zistitie, aké najnovšie voľne šíriteľné systémy na strojový preklad sú dostupné a napíšte ku nim krátku charakteristiku. Na akej metóde sú založené? V ktorom článku je táto metóda opísaná? Používajte scopus alebo scholar.
Zapíšte si zaujímavé bibliografické odkazy a poznačte si, čo zaujímavé sa v nich nachádza.


## Bakalárska práca 2020

https://opac.crzp.sk/?fn=detailBiblioForm&sid=AFB64E0160B4F4E92146D39F9648

Názov bakalárskej práce: Metódy automatického prekladu

Meno vedúceho: Ing. Daniel Hládek, PhD.

Zadanie bakalárskej práce: 

1. Pripraviť prehľad aktuálnych metód automatického prekladu. 
2. Predstaviť vybranú metódu automatického prekladu. 
3. Pripraviť vybraný paralelný korpus a vykonať niekoľko experimentov s automatickým prekladom. 
4. Vyhodnotiť experimenty vhodnou metódou a navrhnúť možnosti na zlepšenie.

## Bakalársky projekt 2019

Prejsť si tutoriál a tréning zo stránky 

-	(http://www.statmt.org/moses/?n=Moses.Overview)

Preštudovať

-	(https://github.com/rain1024/slp2-pdf)
-	(http://folk.uio.no/plison/pdfs/talks/meetup_SMT.pdf)
-	(http://www.statmt.org/moses/?n=Moses.Overview)

Kniha

-	J. JUHÁR, 2011, Rečové technológie v telekomunikačných a informačných systémoch. Košice: EQUILIBRIA, s.r.o., ISBN 978-80-  89284-75-7	 

Ciele projektu

1. Oboznámiť sa s metódami automatického prekladu.
2. Nainštalovať a spustiť program Moses.
3. Oboznámiť sa s programom Moses.
4. Vyskúšať model prekladu.

Vypracovať rešerš na tému Metódy strojového prekladu a Paralelne korpusy na 5 strán od každého

