---
title: Oleh Bilykh
published: true
taxonomy:
    category: [bp2021]
    tag: [demo,nlp]
    author: Daniel Hladek
---
# Oleh Bilykh

*Začiatok štúdia: 2018*

## Bakalársky projekt 2020

Konzultácie sa budú konakť minimálne raz za dva týždne, menej ako 6 konzutácií za semester je dôvodom pre zníženie hodnotenia alebo neudelenie zápočtu.

Téma:

Automatické generovanie odpovedí na otázky v prirodzenom jazyku pomocou neurónových sietí.

Návrh na zadanie BP:

- Vypracujte teoretický prehľad metód autometikcého generovania odpovede na otázky v prirodzenom jazyku.
- Zvoľte vhodný existujúci systém a pripravte ho na použitie.
- Navrhnite, vykonajte a vyhodnotte experimenty s generovaním odpovede na otázky v prirodzenom jazyku.
- Navrhnite možné zlepšenia systému pre generovanie odpovede.

Zásobník úloh:

- Nainštalovať a natrénovať systém DrQA s databázou SquAD.
- Natrénujte vlastný model.
- Vyhodnnotte natrénovaný model.
- Pripravte jednoduché demo ako webovú aplikáciu (doplňujúca úloha).


Stretnutie: 12.10.2020

Úlohy na ďalšie stretnutie:

- Vypracujte poznámky z toho čo ste sa dozvedeli o systémoch pre generovanie odpovedí.
    - definujte úlohu
    - predstavte existujúce implementácie. Aké metódy využívajú? Uveďte aj odkazy na odborné články.
    - predstavte možné trénovacie množiny 
- Z literatúry zistite, akým spôsobom sa vyhodnocuje systém pre generovanie odpovedí.
- Vyskúšajte si nainštalovať systém DrQA a vyskúšajte ho s existujúcim modelom.
    - odporúčam použiť virtuálne prostredie Python (virtualenv) alebo systém Anaconda.
- Prejdite si tutoriál https://github.com/facebookresearch/DrQA

Stav:

- Oboznámenie sa s úlohou.

Stretnutie 25.9.2020

Úlohy na ďalšie stretnutie:

- Oboznámte sa s https://git.kemt.fei.tuke.sk/KEMT/zpwiki/src/branch/master/pages/topics/question
    - čo je SQuaD
    - prečítajte si články
    - Pozrite si existujúce implementácie, jednu z nich si vyberiete.
